Bug Hunting Session
Bug 108782 - Replace std::bind2nd() call with lambda
Summary: Replace std::bind2nd() call with lambda
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2017-06-26 07:09 UTC by Takeshi Abe
Modified: 2017-12-18 16:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi Abe 2017-06-26 07:09:41 UTC
Description:
std::bind2nd() in <functional> became deprecated since C++11.
It would be nice to replace its usage with equivalent lambda, or something like std::bind(f, std::placeholders::_1, x) if more succinct.


Steps to Reproduce:
N/A

Actual Results:  
N/A

Expected Results:
N/A


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Stephan Bergmann 2017-06-26 08:49:14 UTC
(Same goes for std::bind1st, but that appears not be used in our code base.)

Criterion to determine that this issue has been fixed: 'git grep -w bind2nd' turns up no occurrences.
Comment 2 Commit Notification 2017-07-04 18:27:59 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db714f4d76cb71c1124eb2f4902a816168f6513b

make binary functors unary, related tdf#108782

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-06 06:30:16 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee96ea7236958a89b60c87f688070412835ead3f

tdf#108782 replace std::bind2nd with lambda

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-07-06 09:21:02 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7191d6371002a881f541a9c352d2356b7b9935d0

tdf#108782 replace std::bind2nd with lambda

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-06 18:23:11 UTC
dcvb committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1dea7fb6be5f1ba64f680e3ad885afa1c99030bf

make binary functor unary, related tdf#108782

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-07 06:15:44 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=307e528275cb91776e8f5560b3137c3c1649b39c

tdf#108782 replace std::bind2nd with lambda

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-07-10 12:00:29 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44e7f5bb0dfeaa305210def8ac431b699c9c7c50

simplify strip types from Sequence, related tdf#108782

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-07-11 14:31:22 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f0c10db707bbd11d8ca456bcf3d2559a1ce15dd

simplify strip types from Sequence, related tdf#108782

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Shinnok 2017-08-28 12:21:42 UTC
A polite ping, still working on this issue?
Comment 10 Takeshi Abe 2017-12-18 16:44:56 UTC
(In reply to Stephan Bergmann from comment #1)
> Criterion to determine that this issue has been fixed: 'git grep -w bind2nd'
> turns up no occurrences.
Closing this ticket as the criterion has been met.